SDL_HINT_MOUSE_RELATIVE_CURSOR_VISIBLE(3)

NAME
SDL_HINT_MOUSE_RELATIVE_CURSOR_VISIBLE - A variable controlling whether the hardware cursor stays visible when relative mode is active.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_MOUSE_RELATIVE_CURSOR_VISIBLE SDL_MOUSE_RELATIVE_CURSOR_VISIBLE"

DESCRIPTION
This variable can be set to the following values:

• "0": The cursor will be hidden while relative mode is active (default)

• "1": The cursor will remain visible while relative mode is active

Note that for systems without raw hardware inputs, relative mode is implemented using warping, so the hardware cursor will visibly warp between frames if this is enabled on those systems.

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.